aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGuilhem Moulin <guilhem@fripost.org>2014-06-25 02:43:06 +0200
committerGuilhem Moulin <guilhem@fripost.org>2015-06-07 04:28:09 +0200
commit95af037624e4d78873ab142dd2fe543d2f38b15f (patch)
treed63c383dac53f95a6ebfb95e72353ec93dceb83a
parent413460db6d68a3160a0ed45d7761c7eee1a759f5 (diff)
wibble
-rwxr-xr-xinclude/partition.sh4
-rw-r--r--preseed.cfg4
-rw-r--r--src/fripost-partman-udeb/base.sh10
3 files changed, 11 insertions, 7 deletions
diff --git a/include/partition.sh b/include/partition.sh
index a7d2a72..5879401 100755
--- a/include/partition.sh
+++ b/include/partition.sh
@@ -81,8 +81,8 @@ encrypt=$RET
# Install GRUB on the first device in case of an array
-db_set grub-installer/bootdev "${device%% *}"
-db_fset grub-installer/bootdev seen true
+db_set grub-installer/bootdev "${device%% *}"
+db_fset grub-installer/bootdev seen true
db_set grub-installer/only_debian false # dirty fix for #666974
part_boot=
diff --git a/preseed.cfg b/preseed.cfg
index c9ecbb9..877c185 100644
--- a/preseed.cfg
+++ b/preseed.cfg
@@ -101,6 +101,7 @@ d-i clock-setup/ntp boolean true
d-i clock-setup/ntp-server string 0.se.pool.ntp.org
d-i time/zone string Europe/Stockholm
+
################################################################################
# dpkg/APT (install minimal system)
@@ -120,3 +121,6 @@ d-i pkgsel/upgrade select safe-upgrade
d-i preseed/early_command string anna-install fripost-partman fripost-postinst
d-i preseed/late_command string /bin/in-target /usr/bin/update-alternatives --set editor /usr/bin/vim.nox
+
+# bugfix for #666974
+d-i grub-installer/only_debian boolean false
diff --git a/src/fripost-partman-udeb/base.sh b/src/fripost-partman-udeb/base.sh
index 8080bc0..d757670 100644
--- a/src/fripost-partman-udeb/base.sh
+++ b/src/fripost-partman-udeb/base.sh
@@ -18,7 +18,6 @@ true ${DEBIAN_HAS_FRONTEND:=} ${DEBCONF_REDIR:=}
. /usr/share/debconf/confmodule
# TODO:
-# * support sofware RAID (mdadm)
# * encryption without SSH daemon (eg when /home is on a separate device)
# * encryption of multiple disks with the same key (eg / on a software raid)
@@ -36,6 +35,7 @@ fatal() {
# Ensure stdout is opened with line buffering. If some day stdbuf(1) is
# available in busybox, we should replace the LD_PRELOAD by 'stdbuf -oL -eL'.
+# XXX: see #751394
stdbuf() {
LD_PRELOAD=/lib/fripost-partman/stdbuf.so "$@"
}
@@ -87,7 +87,7 @@ seed_urandom() {
db_progress SET $bytes; sleep 0.25
rm -f "$fifo"
- trap '' EXIT
+ trap - EXIT
db_progress STOP
db_unregister fripost/seed_urandom_progress_title
@@ -146,7 +146,7 @@ fripost_wipe() {
db_progress SET $(( $size / $bs )); sleep 0.25
rm -f "$fifo"
- trap '' EXIT
+ trap - EXIT
db_progress STOP
db_unregister fripost/wipe-device_progress_title
@@ -348,7 +348,7 @@ fripost_encrypt() {
db_progress SET 100; sleep 0.25
rm -f "$fifo"
- trap '' EXIT
+ trap - EXIT
db_progress STOP
db_unregister fripost/cryptsetup-genkey_progress_title
@@ -459,7 +459,7 @@ fripost_mkfs() {
done 7< "$fifo"
rm -f "$fifo"
- trap '' EXIT
+ trap - EXIT
[ "$total" ] && db_progress STOP
db_unregister fripost/mkfs_progress_title